<?php

/**
 * Page centrale de gestion des fonctionnalités du serveur de courriel.
 * C'est de cette page qu'est appelé l'ensemble des fonctionnalités du portail.
 */
session_start();

require_once($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/authentification.php");
validationCookie($pdo);

require_once($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
testPrivileges();
require_once($_SERVER["DOCUMENT_ROOT"]."/inclusions/entete.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inclusions/barre_menu.php");

require_once($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/messages/messages.php");

/**
 * Affichage d'une bannière d'état sur l'action précedemment effectuée.
 */
if (isset($_GET['erreur']) && !empty($_GET['erreur'])) {
	retourneMessage('erreurs',$_GET['erreur']);
}
elseif (isset($_GET['succes']) && !empty($_GET['succes'])) {
	retourneMessage('succes',$_GET['succes']);
}
elseif (isset($_GET['message']) && !empty($_GET['message'])) {
	retourneMessage('messages',$_GET['message']);
}

echo "<div class=\"container-fluid\">";

/**
 * Permet d'importer les fonctions de la page demandée par l'utilisateur sur le portail d'administration.
 */
if (isset($_GET['page']) && !empty($_GET['page'])) {
	switch ($_GET['page']) {
		case 'accueil':
			require_once($_SERVER["DOCUMENT_ROOT"]."/services/gestion/alias_virtuels.php");
			break;
		case 'alias':
			require_once($_SERVER["DOCUMENT_ROOT"]."/services/gestion/alias_virtuels.php");
			break;
		case 'domaines':
			require_once($_SERVER["DOCUMENT_ROOT"]."/services/gestion/domaines.php");
			break;
		case 'listes_noires':
			require_once($_SERVER["DOCUMENT_ROOT"]."/services/gestion/listes_noires.php");
			break;
		case 'parametres':
			require_once($_SERVER["DOCUMENT_ROOT"]."/services/gestion/parametres.php");
			break;

		default:
		echo "<h1>Cette page n'existe pas.</h1>";
		break;
	}
}
else {
	echo "<h1>Cette page n'existe pas.</h1>";
}

echo "</div>";

require_once($_SERVER["DOCUMENT_ROOT"]."/inclusions/pied.php");

?>
